| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations
cat_entree.hpp File Reference
Private

base class for all object contained in a catalogue More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "user_interaction.hpp"`
`#include "pile.hpp"`
`#include "escape.hpp"`
`#include "on_pool.hpp"`
`#include "archive_version.hpp"`
`#include "compressor.hpp"`
`#include "pile_descriptor.hpp"`
`#include "smart_pointer.hpp"`

Go to the source code of this file.

## Classes
struct | libdar::entree_stats
| holds the statistics contents of a catalogue More...
class | libdar::cat_entree
| the root class from all other inherite for any entry in the catalogue More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | saved_status { s_saved, s_fake, s_not_saved }

## Detailed Description

base class for all object contained in a catalogue

Definition in file cat_entree.hpp.